Bug 130586 - F-Secure fsav fails with kernel 2.6.8-1.521
F-Secure fsav fails with kernel 2.6.8-1.521
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-22 09:28 EDT by Joe
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 19:27:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Strace for fsavd with kernel 2.6.8-1.521 (416.71 KB, text/plain)
2004-08-22 10:43 EDT, Joe
no flags Details

  None (edit)
Description Joe 2004-08-22 09:28:18 EDT
Description of problem:
Upon updating kernel to 2.6.8-1.521 from 2.6.7-1.494.2.2 the fsav
program fails.

Version-Release number of selected component (if applicable):
2.6.8-1.521

How reproducible:
Install kernel 2.6.8-1.521 and run fsav program.

Steps to Reproduce:
1. Install 2.6.8-1.521 kernel
2. run 'fsav'

  
Actual results:
Scan started at Sun Aug 22 06:28:38 2004

yum.conf: ERROR: *** ENGINE MALFUNCTION *** [ArchiveScanner]

Scan ended at Sun Aug 22 06:28:38 2004



Expected results:
Scan started at Sun Aug 22 06:27:56 2004


Scan ended at Sun Aug 22 06:27:56 2004


Additional info:

Switch kernels on the same system determines if the app will run or
not. No other library changes.
Comment 1 Arjan van de Ven 2004-08-22 09:30:48 EDT
is there a way that you can strace it or something to give us
something to go on other than "an application doesn't work" ?
Comment 2 Joe 2004-08-22 10:43:33 EDT
Created attachment 102967 [details]
Strace for fsavd with kernel 2.6.8-1.521

This is a trace of the fsavd process. Its child fails with a SIGSEGV. I opened
a ticket with the vendor.
Comment 3 Arjan van de Ven 2004-08-22 11:11:22 EDT
hmm unfortionately there is no hint at all in that strace about why
that application decides to segfault... seems the only way is to stick
a debugger (gdb) on it...
Comment 4 Joe 2004-08-26 10:12:55 EDT
F-Secure told me to upgrade to the server version 4.61. That version
of the application works. I don't know if they are going to support
the workstation version 4.52 anymore. This item should be closed as it
is an application problem and not a kernel issue.

Note You need to log in before you can comment on or make changes to this bug.